Page MenuHomeFreeBSD

devel/osm-gps-map: New port of osm-gps-map, a Gtk+ 3.0 mapping widget
ClosedPublic

Authored by dumbbell on Nov 22 2015, 1:25 AM.

Details

Summary

It will be used by darktable 2.0.

I'm not sure where to put this kind of library. Is devel the appropriate category?

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dumbbell updated this revision to Diff 10411.Nov 22 2015, 1:25 AM
dumbbell updated this revision to Diff 10412.
dumbbell retitled this revision from to devel/osm-gps-map: New port of osm-gps-map, a Gtk+ 3.0 mapping widget.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: kwm, bapt.

Include devel/Makefile in the patch

kwm edited edge metadata.Nov 29 2015, 6:02 PM

So no new files in the diff? wheee

If it a widget, x11-toolkits probably, if I look at the name net/ might also be a good category. Or you might pick one of the two and put the second also in there as a secondary category.

dumbbell updated this revision to Diff 10566.Nov 30 2015, 7:03 AM
dumbbell edited edge metadata.

Move to x11-toolkits category

While here, add net as a second category.

dumbbell updated this revision to Diff 13094.Feb 6 2016, 2:35 PM

Re-upload patch

kwm added inline comments.Feb 13 2016, 11:52 AM
x11-toolkits/osm-gps-map/Makefile
14 ↗(On Diff #13094)

Replace this line with USE_GNOME=introspection:build

17 ↗(On Diff #13094)

USES=gnome (new gnome framework)

dumbbell updated this revision to Diff 13263.Feb 13 2016, 2:18 PM

USES+=gnome

kwm accepted this revision.Feb 13 2016, 2:25 PM
kwm edited edge metadata.
This revision is now accepted and ready to land.Feb 13 2016, 2:25 PM
This revision was automatically updated to reflect the committed changes.